org.apache.sysds.runtime.compress.colgroup

## Class ColGroupSizes

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.ColGroupSizes

    public final class ColGroupSizes
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ColGroupSizes()`

### Method Summary

All Methods Static Methods Concrete Methods
`static long` `estimateInMemorySizeCONST(int nrColumns, int nrValues, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeDDC(int nrCols, int numTuples, int dataLength, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeEMPTY(int nrColumns)`
`static long` `estimateInMemorySizeGroup(int nrColumns)`
`static long` `estimateInMemorySizeGroupValue(int nrColumns, int nrValues, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeOffset(int nrColumns, int nrValues, int pointers, int offsetLength, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeOLE(int nrColumns, int nrValues, int offsetLength, int nrRows, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeRLE(int nrColumns, int nrValues, int nrRuns, int nrRows, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeSDC(int nrColumns, int nrValues, int nrRows, int largestOff, boolean largestOffIsZero, boolean containNoZeroValues, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeSDCSingle(int nrColumns, int nrValues, int nrRows, int largestOff, boolean largestOffIsZero, boolean containNoZeroValues, double tupleSparsity, boolean lossy)`
`static long` `estimateInMemorySizeUncompressed(int nrRows, int nrColumns, double sparsity)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColGroupSizes

    public ColGroupSizes()

### Method Detail

#### estimateInMemorySizeGroup

    public static long estimateInMemorySizeGroup(int nrColumns)

#### estimateInMemorySizeGroupValue

    public static long estimateInMemorySizeGroupValue(int nrColumns,
                                                      int nrValues,
                                                      double tupleSparsity,
                                                      boolean lossy)

#### estimateInMemorySizeDDC

    public static long estimateInMemorySizeDDC(int nrCols,
                                               int numTuples,
                                               int dataLength,
                                               double tupleSparsity,
                                               boolean lossy)

#### estimateInMemorySizeOffset

    public static long estimateInMemorySizeOffset(int nrColumns,
                                                  int nrValues,
                                                  int pointers,
                                                  int offsetLength,
                                                  double tupleSparsity,
                                                  boolean lossy)

#### estimateInMemorySizeOLE

    public static long estimateInMemorySizeOLE(int nrColumns,
                                               int nrValues,
                                               int offsetLength,
                                               int nrRows,
                                               double tupleSparsity,
                                               boolean lossy)

#### estimateInMemorySizeRLE

    public static long estimateInMemorySizeRLE(int nrColumns,
                                               int nrValues,
                                               int nrRuns,
                                               int nrRows,
                                               double tupleSparsity,
                                               boolean lossy)

#### estimateInMemorySizeSDC

    public static long estimateInMemorySizeSDC(int nrColumns,
                                               int nrValues,
                                               int nrRows,
                                               int largestOff,
                                               boolean largestOffIsZero,
                                               boolean containNoZeroValues,
                                               double tupleSparsity,
                                               boolean lossy)

#### estimateInMemorySizeSDCSingle

    public static long estimateInMemorySizeSDCSingle(int nrColumns,
                                                     int nrValues,
                                                     int nrRows,
                                                     int largestOff,
                                                     boolean largestOffIsZero,
                                                     boolean containNoZeroValues,
                                                     double tupleSparsity,
                                                     boolean lossy)

#### estimateInMemorySizeCONST

    public static long estimateInMemorySizeCONST(int nrColumns,
                                                 int nrValues,
                                                 double tupleSparsity,
                                                 boolean lossy)

#### estimateInMemorySizeEMPTY

    public static long estimateInMemorySizeEMPTY(int nrColumns)

#### estimateInMemorySizeUncompressed

    public static long estimateInMemorySizeUncompressed(int nrRows,
                                                        int nrColumns,
                                                        double sparsity)